Skip to main content
GET
List folders

Authorizations

x-api-key
string
header
required

API key for authentication. Get your key at https://app.tomorro.com/settings/integrations?integration=api-key

Query Parameters

limit
integer
default:20

Number of items per page (1-50)

Required range: 1 <= x <= 50
Example:

20

after
string

Cursor for forward pagination. Use the next_cursor value from a previous response.

Example:

"eyJpZCI6IjEyMyJ9"

before
string

Cursor for backward pagination. Use the prev_cursor value from a previous response.

Example:

"eyJpZCI6IjEwMCJ9"

parentFolderId
string

Filter by parent folder. Use root for top-level folders. Formats: parentFolderId=<uuid> (direct children), parentFolderId=root, parentFolderId=in:<uuid>,<uuid>,root.

Example:

"root"

Case-insensitive substring match on the folder name.

Maximum string length: 255
Example:

"nda"

updatedAt
string

Filter by last modification date (ISO 8601). Formats: updatedAt=gte:2026-10-01T00:00:00Z, gt:, lte:, lt:.

Example:

"gte:2026-10-01T00:00:00Z"

Response

Paginated list of folders

data
object[]
required

Folders of the current page.

Example:
pagination
object
required

Pagination metadata including cursors and navigation flags.

Example:

HATEOAS navigation links for pagination. Active filters are kept in the links.

Example: